VERSION 5.00
Object = "{EAB22AC0-30C1-11CF-A7EB-0000C05BAE0B}#1.1#0"; "shdocvw.dll"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmMain 
   BackColor       =   &H00FFFFFF&
   Caption         =   "ReaperDoc"
   ClientHeight    =   4455
   ClientLeft      =   165
   ClientTop       =   825
   ClientWidth     =   7995
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4455
   ScaleWidth      =   7995
   StartUpPosition =   3  'Windows Default
   Begin SHDocVwCtl.WebBrowser WebBrowser1 
      Height          =   3495
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   5535
      ExtentX         =   9763
      ExtentY         =   6165
      ViewMode        =   0
      Offline         =   0
      Silent          =   0
      RegisterAsBrowser=   0
      RegisterAsDropTarget=   1
      AutoArrange     =   0   'False
      NoClientEdge    =   0   'False
      AlignLeft       =   0   'False
      NoWebView       =   0   'False
      HideFileNames   =   0   'False
      SingleClick     =   0   'False
      SingleSelection =   0   'False
      NoFolders       =   0   'False
      Transparent     =   0   'False
      ViewID          =   "{0057D0E0-3573-11CF-AE69-08002B2E1262}"
      Location        =   ""
   End
   Begin MSComDlg.CommonDialog dlgCommonDialog 
      Left            =   4200
      Top             =   480
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileConvert 
         Caption         =   "&Convert..."
      End
      Begin VB.Menu mnuFilePrint 
         Caption         =   "Print..."
      End
      Begin VB.Menu mnuBar2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFilePrefs 
         Caption         =   "&Preferences"
      End
      Begin VB.Menu mnuFileBar0 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpContents 
         Caption         =   "Contents"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About "
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function OSWinHelp% Lib "user32" Alias "WinHelpA" (ByVal hwnd&, ByVal HelpFile$, ByVal wCommand%, dwData As Any)

Private Sub Form_Load()
    Me.Left = GetSetting(App.Title, "Settings", "MainLeft", 1000)
    Me.Top = GetSetting(App.Title, "Settings", "MainTop", 1000)
    Me.Width = GetSetting(App.Title, "Settings", "MainWidth", 6500)
    Me.Height = GetSetting(App.Title, "Settings", "MainHeight", 6500)
    
    Prefs.sHTMLLastFileName = GetSetting(App.Title, "Settings", "LastHTMLFile", "")
    Prefs.sReaperLastFileName = GetSetting(App.Title, "Settings", "LastReaperFile", "")
    Prefs.sTemplateLastFileName = GetSetting(App.Title, "Settings", "LastTemplateFile", App.Path & "\templates\default_template.htm")
    Prefs.sPrefListSeparator = GetSetting(App.Title, "Settings", "ListSeparator", "<BR>")
    Prefs.sPrefDateFormat = GetSetting(App.Title, "Settings", "DateFormat", "Short")
    Prefs.sPrefTimeFormat = GetSetting(App.Title, "Settings", "TimeFormat", "Short")
    
    
End Sub


Private Sub Form_Resize()
    If fMainForm.Width > 50 Then WebBrowser1.Width = fMainForm.Width - 80
    If fMainForm.Height > 780 Then WebBrowser1.Height = fMainForm.Height - 780
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim i As Integer


    'close all sub forms
    For i = Forms.Count - 1 To 1 Step -1
        Unload Forms(i)
    Next
    If Me.WindowState <> vbMinimized Then
        SaveSetting App.Title, "Settings", "MainLeft", Me.Left
        SaveSetting App.Title, "Settings", "MainTop", Me.Top
        SaveSetting App.Title, "Settings", "MainWidth", Me.Width
        SaveSetting App.Title, "Settings", "MainHeight", Me.Height
        SaveSetting App.Title, "Settings", "LastHTMLFile", Prefs.sHTMLLastFileName
        SaveSetting App.Title, "Settings", "LastReaperFile", Prefs.sReaperLastFileName
        SaveSetting App.Title, "Settings", "LastTemplateFile", Prefs.sTemplateLastFileName
        SaveSetting App.Title, "Settings", "ListSeparator", Prefs.sPrefListSeparator
        SaveSetting App.Title, "Settings", "DateFormat", Prefs.sPrefDateFormat
        SaveSetting App.Title, "Settings", "TimeFormat", Prefs.sPrefTimeFormat
        
    End If
End Sub



Private Sub mnuFileConvert_Click()
    Dim sFileIn As String
    Dim sFileOut As String
    
    frmConvert.Show
    
    Exit Sub

    With dlgCommonDialog
        .DialogTitle = "Open"
        .CancelError = False
        'ToDo: set the flags and attributes of the common dialog control
        .Filter = "Reaper Files (*.rpp)|*.rpp"
        .ShowOpen
        If Len(.FileName) = 0 Then
            Exit Sub
        End If
        sFileIn = .FileName
    End With
    
    If sFileIn <> "" Then
        
        With dlgCommonDialog
            .DialogTitle = "Save As"
            .CancelError = False
            'ToDo: set the flags and attributes of the common dialog control
            .Filter = "HTML File (*.htm)|*.htm"
            .ShowSave
            If Len(.FileName) = 0 Then
                Exit Sub
            End If
        sFileOut = .FileName
        End With
        
        'Call ReadProjectFile(sFileIn)
        'Call FormatProjectFile(sFileOut)
        
    End If
    'ToDo: add code to process the opened file

End Sub

Private Sub mnuFilePrefs_Click()
    frmPreferences.Show vbModal, Me

End Sub

Private Sub mnuHelpAbout_Click()
    frmAbout.Show vbModal, Me
End Sub

Public Sub mnuHelpContents_Click()
    Call ShowHelp


End Sub


Private Sub mnuFileExit_Click()
    'unload the form
    Unload Me

End Sub

Private Sub mnuFilePrint_Click()
    'fMainForm.WebBrowser1.
    fMainForm.WebBrowser1.ExecWB OLECMDID_PRINT, OLECMDEXECOPT_PROMPTUSER
End Sub

Private Sub mnuFileSaveAs_Click()
    'ToDo: Add 'mnuFileSaveAs_Click' code.
    MsgBox "Add 'mnuFileSaveAs_Click' code."
End Sub

Private Sub mnuFileSave_Click()
    'ToDo: Add 'mnuFileSave_Click' code.
    MsgBox "Add 'mnuFileSave_Click' code."
End Sub

Private Sub mnuFileClose_Click()
    'ToDo: Add 'mnuFileClose_Click' code.
    MsgBox "Add 'mnuFileClose_Click' code."
End Sub

Private Sub mnuFileOpen_Click()
    Dim sFile As String


    With dlgCommonDialog
        .DialogTitle = "Open"
        .CancelError = False
        'ToDo: set the flags and attributes of the common dialog control
        .Filter = "Reaper Files (*.rpp)|*.rpp"
        .ShowOpen
        If Len(.FileName) = 0 Then
            Exit Sub
        End If
        sFile = .FileName
    End With
    
    If sFile <> "" Then
        Call ReadProjectFile(sFile)
    End If
    'ToDo: add code to process the opened file

End Sub



Private Sub mnuPrint_Click()

End Sub

Private Sub WebBrowser1_DocumentComplete(ByVal pDisp As Object, URL As Variant)
    bNavigateError = False
End Sub

Private Sub WebBrowser1_NavigateError(ByVal pDisp As Object, URL As Variant, Frame As Variant, StatusCode As Variant, Cancel As Boolean)
    bNavigateError = True
End Sub

Private Sub WebBrowser1_StatusTextChange(ByVal Text As String)
    sNavigateText = Text
End Sub
